Subject: Re: bug#18628: Emacs hangs trying to open "CON" file (on Windows)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Oct 2014 17:36:45 +0300

> From: Lee Houghton <[email-masked]>
> Date: Sun, 5 Oct 2014 12:33:36 +0100
> Cc: [email-masked]
> 
> > Please provide a reproducible recipe starting with "emacs -Q".  Just
> > typing "C-x C-f con TAB TAB" doesn't show CON in the completions, so
> > I'm unsure how you bump into this problem.
> 
> Sorry, I didn't know that was required. The easiest way I found was:
> 
> emacs -Q con.js
> 
> Or if you want to go the long way...
> 
> emacs -Q --eval "(find-file \"CON.js\")"
> 
> (I hope I've understood what you mean by that.)

Yes, I do understand.  But I cannot reproduce the problem with such a
simple recipe: for me, Emacs does not hang, but instead says "File
exists, but cannot be read", which sounds reasonable.

I tried this both on Windows 7 and on XP.  You seem to be on Windows
8, so perhaps this is something specific to that version.  I don't
have access to a Windows 8 machine, so I hope someone else will be
able to debug this.

> It is partly helm's fault. The reason I encounter this bug so often is
> that I have a directory which contains two subdirectories,
> "collections" and "config".  The quickest way for me to navigate to
> the config directory would be C-x C-f c o n <right> (where C-x C-f is
> bound to helm-find-file). Normally the <right> key would auto-complete
> to the config directory. Instead what it does is try to preview the
> "CON" file in the window I was just in, and emacs hangs. Sometimes I
> remember to type "conf" before pressing <right>, sometimes I don't.
> When I don't, I invariably kick myself :-)

Not sure this is the same problem (although it might be): the APIs
Emacs invokes for completion are different from those it invokes to
visit a file.